ALTER TABLE c_enterprise ADD business_scope longtext COMMENT '经营范围';
ALTER TABLE c_enterprise ADD registered_address varchar(200) DEFAULT '' COMMENT '注册地址';
ALTER TABLE c_enterprise ADD bank_account varchar(200) DEFAULT '' COMMENT '基本存款账号';
ALTER TABLE c_enterprise ADD bank varchar(200) DEFAULT '' COMMENT '基本账户开户行名称';
ALTER TABLE c_enterprise ADD people_engaged bigint(20) DEFAULT NULL COMMENT '从业人数';
ALTER TABLE c_enterprise ADD operating_revenue decimal(17,4) DEFAULT NULL COMMENT '营业收入';

ALTER TABLE c_enterprise_history ADD business_scope longtext COMMENT '经营范围';
ALTER TABLE c_enterprise_history ADD registered_address varchar(200) DEFAULT '' COMMENT '注册地址';
ALTER TABLE c_enterprise_history ADD bank_account varchar(200) DEFAULT '' COMMENT '基本存款账号';
ALTER TABLE c_enterprise_history ADD bank varchar(200) DEFAULT '' COMMENT '基本账户开户行名称';
ALTER TABLE c_enterprise_history ADD people_engaged bigint(20) DEFAULT NULL COMMENT '从业人数';
ALTER TABLE c_enterprise_history ADD operating_revenue decimal(17,4) DEFAULT NULL COMMENT '营业收入';

ALTER TABLE c_credit_investigation_info ADD phone_number varchar(50) DEFAULT '' COMMENT '电话号码';
ALTER TABLE c_credit_investigation_info ADD email varchar(50) DEFAULT '' COMMENT '邮箱';
ALTER TABLE c_credit_investigation_info ADD domicile_address varchar(100) DEFAULT '' COMMENT '户籍地址';
ALTER TABLE c_credit_investigation_info ADD permanent_address varchar(100) DEFAULT '' COMMENT '常住地址';
ALTER TABLE c_credit_investigation_info ADD valid_from varchar(50) DEFAULT NULL COMMENT '证件有效开始日期 ';
ALTER TABLE c_credit_investigation_info ADD valid_to varchar(50) DEFAULT NULL COMMENT '证件有效截止日期';

ALTER TABLE c_credit_investigation_info_history ADD phone_number varchar(50) DEFAULT '' COMMENT '电话号码';
ALTER TABLE c_credit_investigation_info_history ADD email varchar(50) DEFAULT '' COMMENT '邮箱';
ALTER TABLE c_credit_investigation_info_history ADD domicile_address varchar(100) DEFAULT '' COMMENT '户籍地址';
ALTER TABLE c_credit_investigation_info_history ADD permanent_address varchar(100) DEFAULT '' COMMENT '常住地址';
ALTER TABLE c_credit_investigation_info_history ADD valid_from varchar(50) DEFAULT NULL COMMENT '证件有效开始日期 ';
ALTER TABLE c_credit_investigation_info_history ADD valid_to varchar(50) DEFAULT NULL COMMENT '证件有效截止日期';

ALTER TABLE c_sales_documents_info add contract_name varchar(100) DEFAULT '' COMMENT '合同名称';
ALTER TABLE c_sales_documents_info add contract_number varchar(100) DEFAULT '' COMMENT '合同编号';
ALTER TABLE c_sales_documents_info add contract_amount decimal(17,4) DEFAULT NULL COMMENT '合同金额（元）';
ALTER TABLE c_sales_documents_info add contract_date datetime DEFAULT NULL COMMENT '合同日期';

ALTER TABLE c_sales_documents_info_history add contract_name varchar(100) DEFAULT '' COMMENT '合同名称';
ALTER TABLE c_sales_documents_info_history add contract_number varchar(100) DEFAULT '' COMMENT '合同编号';
ALTER TABLE c_sales_documents_info_history add contract_amount decimal(17,4) DEFAULT NULL COMMENT '合同金额（元）';
ALTER TABLE c_sales_documents_info_history add contract_date datetime DEFAULT NULL COMMENT '合同日期';

ALTER TABLE sales_documents_info add contract_name varchar(100) DEFAULT '' COMMENT '合同名称';
ALTER TABLE sales_documents_info add contract_number varchar(100) DEFAULT '' COMMENT '合同编号';
ALTER TABLE sales_documents_info add contract_amount decimal(17,4) DEFAULT NULL COMMENT '合同金额（元）';
ALTER TABLE sales_documents_info add contract_date datetime DEFAULT NULL COMMENT '合同日期';

DROP TABLE IF EXISTS `financing_from_investors`;
CREATE TABLE `financing_from_investors` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                     `customer_type` tinyint(2) DEFAULT NULL COMMENT '1企业',
                                     `supplier_info_id` bigint(20) not null COMMENT '供应商',
                                     `refinancing_management_id` bigint(20) not null COMMENT '资方ID',
                                     `refinancing_management_name` varchar(200) DEFAULT '' COMMENT '资方名称',
                                     `registered_capital` varchar(200) DEFAULT '' COMMENT '资产总额',
                                     `bank_account` varchar(200) DEFAULT '' COMMENT '基本存款账号',
                                     `bank` varchar(200) DEFAULT '' COMMENT '基本账户开户行名称',
                                     `people_engaged` bigint(20) DEFAULT NULL COMMENT '从业人数',
                                     `operating_revenue` decimal(17,4) DEFAULT NULL COMMENT '营业收入',
                                     `registered_address` varchar(200) DEFAULT '' COMMENT '注册地址',
                                     `business_address` varchar(500) DEFAULT NULL COMMENT '实际经营地址',
                                     `industry_type_one` varchar(50) DEFAULT NULL COMMENT '行业类型一级',
                                     `industry_type_two` varchar(50) DEFAULT NULL COMMENT '行业类型二级',
                                     `industry_type_three` varchar(50) DEFAULT NULL COMMENT '行业类型三级',
                                     `industry_type_fore` varchar(50) DEFAULT NULL COMMENT '行业类型四级',
                                     `credit_status` varchar(32) DEFAULT '' COMMENT '授信状态',
                                     `open_id` varchar(100) DEFAULT '' COMMENT '用户唯一标识',
                                     `repayment_account` varchar(32) DEFAULT '' COMMENT '还款账号',
                                     `repayment_account_name` varchar(100) DEFAULT '' COMMENT '还款账户名',
                                     `repayment_account_type` varchar(100) DEFAULT '' COMMENT '还款账户账号类型',

                                     `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                     `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                     `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                     PRIMARY KEY (`id`) USING BTREE
) COMMENT='资方融资管理';

DROP TABLE IF EXISTS `financing_from_investors_history`;
CREATE TABLE `financing_from_investors_history` (
                                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                            `financing_from_investors_id` bigint(20) NOT NULL COMMENT '资方融资管理主表id',
                                            `customer_type` tinyint(2) DEFAULT NULL COMMENT '0企业 1个体工商户',
                                            `supplier_info_id` bigint(20) not null COMMENT '供应商',
                                            `refinancing_management_id` bigint(20) not null COMMENT '资方ID',
                                            `refinancing_management_name` varchar(200) DEFAULT '' COMMENT '资方名称',
                                            `registered_capital` varchar(200) DEFAULT '' COMMENT '资产总额',
                                            `bank_account` varchar(200) DEFAULT '' COMMENT '基本存款账号',
                                            `bank` varchar(200) DEFAULT '' COMMENT '基本账户开户行名称',
                                            `people_engaged` bigint(20) DEFAULT NULL COMMENT '从业人数',
                                            `operating_revenue` decimal(17,4) DEFAULT NULL COMMENT '营业收入',
                                            `registered_address` varchar(200) DEFAULT '' COMMENT '注册地址',
                                            `business_address` varchar(500) DEFAULT NULL COMMENT '实际经营地址',
                                            `industry_type_one` varchar(50) DEFAULT NULL COMMENT '行业类型一级',
                                            `industry_type_two` varchar(50) DEFAULT NULL COMMENT '行业类型二级',
                                            `industry_type_three` varchar(50) DEFAULT NULL COMMENT '行业类型三级',
                                            `industry_type_fore` varchar(50) DEFAULT NULL COMMENT '行业类型四级',
                                            `credit_status` varchar(32) DEFAULT '' COMMENT '授信状态',
                                            `open_id` varchar(100) DEFAULT '' COMMENT '用户唯一标识',
                                            `biz_no` varchar(100) DEFAULT '' COMMENT '苏商请求编号',
                                            `repayment_account` varchar(32) DEFAULT '' COMMENT '还款账号',
                                            `repayment_account_name` varchar(100) DEFAULT '' COMMENT '还款账户名',
                                            `repayment_account_type` varchar(100) DEFAULT '' COMMENT '还款账户账号类型',

                                            `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                            `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                            `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                            `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                            PRIMARY KEY (`id`) USING BTREE
) COMMENT='资方融资管理历史';

DROP TABLE IF EXISTS `financing_from_investors_person`;
CREATE TABLE `financing_from_investors_person` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                               `financing_from_investors_id` bigint(20) NOT NULL COMMENT '资方融资管理id',
                                               `c_enterprise_id` bigint(20) NOT NULL COMMENT '企业信息id',
                                               `type` varchar(50) NOT NULL COMMENT '身份类型',
                                               `name` varchar(32) DEFAULT '' COMMENT '姓名',
                                               `social_credit_code` varchar(32) DEFAULT '' COMMENT '身份证号码',
                                               `phone_number` varchar(50) DEFAULT '' COMMENT '电话号码',
                                               `domicile_address` varchar(100) DEFAULT '' COMMENT '户籍地址',
                                               `permanent_address` varchar(100) DEFAULT '' COMMENT '常住地址',
                                               `valid_from` datetime DEFAULT NULL COMMENT '证件有效开始日期 ',
                                               `valid_to` datetime DEFAULT NULL COMMENT '证件有效截止日期',
                                               `email` varchar(50) DEFAULT '' COMMENT '邮箱',

                                               `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                               `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                               `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                               `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                               PRIMARY KEY (`id`) USING BTREE
)  COMMENT='资方融资管理-人员信息';

DROP TABLE IF EXISTS `financing_from_investors_person_history`;
CREATE TABLE `financing_from_investors_person_history` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                               `financing_from_investors_id` bigint(20) NOT NULL COMMENT '资方融资管理id',
                                               `c_enterprise_id` bigint(20) NOT NULL COMMENT '企业信息id',
                                               `type` varchar(50) NOT NULL COMMENT '身份类型',
                                               `name` varchar(32) DEFAULT '' COMMENT '姓名',
                                               `social_credit_code` varchar(32) DEFAULT '' COMMENT '身份证号码',
                                               `phone_number` varchar(50) DEFAULT '' COMMENT '电话号码',
                                               `domicile_address` varchar(100) DEFAULT '' COMMENT '户籍地址',
                                               `permanent_address` varchar(100) DEFAULT '' COMMENT '常住地址',
                                               `valid_from` datetime DEFAULT NULL COMMENT '证件有效开始日期 ',
                                               `valid_to` datetime DEFAULT NULL COMMENT '证件有效截止日期',
                                               `email` varchar(50) DEFAULT '' COMMENT '邮箱',

                                               `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                               `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                               `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                               `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                               PRIMARY KEY (`id`) USING BTREE
)  COMMENT='资方融资管理-人员信息历史';

DROP TABLE IF EXISTS `financing_from_investors_contract`;
CREATE TABLE `financing_from_investors_contract` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `financing_from_investors_id` bigint(20) NOT NULL COMMENT '资方融资管理id',
                                          `c_enterprise_id` bigint(20) NOT NULL COMMENT '企业信息id',
                                          `name` varchar(32) DEFAULT '' COMMENT '国央企名称',
                                          `contract_name` varchar(100) DEFAULT '' COMMENT '合同名称',
                                          `contract_number` varchar(100) DEFAULT '' COMMENT '合同编号',
                                          `contract_amount` decimal(17,4) DEFAULT NULL COMMENT '合同金额（元）',
                                          `contract_date` datetime DEFAULT NULL COMMENT '合同日期',

                                          `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                          `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                          `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                          PRIMARY KEY (`id`) USING BTREE
) COMMENT='资方融资管理-合同文件';

DROP TABLE IF EXISTS `financing_from_investors_contract_history`;
CREATE TABLE `financing_from_investors_contract_history` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `financing_from_investors_id` bigint(20) NOT NULL COMMENT '资方融资管理id',
                                          `c_enterprise_id` bigint(20) NOT NULL COMMENT '企业信息id',
                                          `name` varchar(32) DEFAULT '' COMMENT '国央企名称',
                                          `contract_name` varchar(100) DEFAULT '' COMMENT '合同名称',
                                          `contract_number` varchar(100) DEFAULT '' COMMENT '合同编号',
                                          `contract_amount` decimal(17,4) DEFAULT NULL COMMENT '合同金额（元）',
                                          `contract_date` datetime DEFAULT NULL COMMENT '合同日期',

                                          `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                          `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                          `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                          PRIMARY KEY (`id`) USING BTREE
) COMMENT='资方融资管理-合同文件历史';

DROP TABLE IF EXISTS `financing_from_investors_notice`;
CREATE TABLE `financing_from_investors_notice` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `financing_from_investors_history_id` bigint(20) NOT NULL COMMENT '资方融资管理id',
                                          `apply_date` datetime DEFAULT NULL COMMENT '申请日期',
                                          `apply_status` varchar(32) DEFAULT '' COMMENT '申请状态',
                                          `next_apply_date` datetime DEFAULT NULL COMMENT '下次可申请日期',
                                          `reject_reason` varchar(32) DEFAULT '' COMMENT '拒绝原因',
                                          `limit_status` varchar(32) DEFAULT '' COMMENT '额度状态',
                                          `validity_period` datetime DEFAULT NULL COMMENT ' 签约有效期',
                                          `loop_flag` varchar(32) DEFAULT NULL COMMENT ' 循环标志',
                                          `credit_limit` decimal(17,4) DEFAULT NULL COMMENT '授信总额度',
                                          `remaining_available_credit_limit` decimal(17,4) DEFAULT NULL COMMENT '剩余可用额度',
                                          `effective_date` datetime DEFAULT NULL COMMENT ' 生效日期',
                                          `expiring_date` datetime DEFAULT NULL COMMENT ' 失效日期',
                                          `approved_interest_rate` decimal(17,4) DEFAULT NULL COMMENT '批复利率（%）',
                                          `pending_loan_receipt` varchar(32) DEFAULT '' COMMENT '是否有待还借据',
                                          `guarantee_method` varchar(32) DEFAULT '' COMMENT '担保方式',
                                          `limit_number` varchar(100) DEFAULT '' COMMENT '额度编号',

                                          `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                          `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                          `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                          PRIMARY KEY (`id`) USING BTREE
) COMMENT='资方融资管理-回调接口';

DROP TABLE IF EXISTS `financing_from_investors_eletronic_contract`;
CREATE TABLE `financing_from_investors_eletronic_contract` (
                                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                                     `contract_type` bigint(20) NOT NULL COMMENT '合同类型 0:企业征信查询授权书 1:个人征信查询授权书 2:个人综合信息查询授权书',
                                                     `c_enterprise_id` bigint(20) NOT NULL COMMENT '企业信息id',
                                                     `fdd_customer_id` varchar(500) DEFAULT NULL COMMENT '法大大customerid',
                                                     `contract_name` varchar(500) DEFAULT NULL COMMENT '合同名称',
                                                     `transaction_id` varchar(255) DEFAULT NULL COMMENT '客户合同交易id',
                                                     `contract_id` varchar(1024) DEFAULT NULL COMMENT '合同编号',
                                                     `contract_link` varchar(2048) DEFAULT NULL COMMENT '客户合同链接',
                                                     `keyword` varchar(255) DEFAULT NULL COMMENT '关键字',
                                                     `short_contract_link` varchar(1024) DEFAULT NULL COMMENT '客户合同链接短连接',
                                                     `short_contract_link_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '短链接创建时间',
                                                     `sign_status` tinyint(1) DEFAULT NULL COMMENT '客户签署状态',
                                                     `back_file_id` bigint(20) DEFAULT NULL COMMENT '电子签文件',
                                                     `report_file_id` bigint(20) DEFAULT NULL COMMENT '出证电子签文件',
                                                     `face_file_id` bigint(20) DEFAULT NULL COMMENT '人脸识别文件',
                                                     `user_create` varchar(50) DEFAULT NULL COMMENT '创建人',
                                                     `user_modified` varchar(50) DEFAULT NULL COMMENT '修改人',
                                                     `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                     `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                     PRIMARY KEY (`id`) USING BTREE
) COMMENT='资方融资管理-电子签信息';

DROP TABLE IF EXISTS `sys_stakeholders_management`;
CREATE TABLE `sys_stakeholders_management` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                               `institution_name` varchar(50) DEFAULT '' COMMENT '机构名称',
                                               `institution_type` varchar(50) NOT NULL COMMENT '机构类型',
                                               `institution_code` varchar(18) DEFAULT '' COMMENT '机构代码（统一社会信用代码）',
                                               `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                               `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                               `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                               `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                               PRIMARY KEY (`id`)
) COMMENT='资方管理';


DROP TABLE IF EXISTS `smb_contract_info`;
CREATE TABLE `smb_contract_info` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                     `contract_electronic_info_id` bigint(20) DEFAULT null COMMENT '合同电子签信息id',
                                     `supplier_id` bigint(20) DEFAULT null COMMENT '供应商id',
                                     `contract_type` bigint(20) DEFAULT null COMMENT '合同类型 1 主合同 2 担保合同',
                                     `contract_number` varchar(100) DEFAULT '' COMMENT '合同编号',
                                     `name` varchar(100) DEFAULT '' COMMENT '名称',
                                     `social_code` varchar(100) DEFAULT '' COMMENT '证件号',
                                     `amount` decimal(17,4) DEFAULT NULL COMMENT '金额',
                                     `sign_status` tinyint(1) DEFAULT NULL COMMENT '签署状态',
                                     `fail_reason` varchar(500) DEFAULT '' COMMENT '失败原因',
                                     `file_type` varchar(500) DEFAULT '' COMMENT '苏商文件类型',
                                     `file_path` varchar(500) DEFAULT '' COMMENT '苏商文件路径',
                                     `file_name` varchar(500) DEFAULT '' COMMENT '苏商文件名称',


                                     `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                     `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                     `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                     PRIMARY KEY (`id`)
) COMMENT='苏商电子签合同';

INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('其他', 323, 'otherInstitutionType', NULL, 9, '2018-11-10 20:56:54', '2018-11-10 20:56:54');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('融资性担保', 323, 'financing_guarantee', NULL, 8, '2018-11-10 20:56:54', '2018-11-10 20:56:54');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('小贷', 323, 'small_loan', NULL, 7, '2018-11-10 20:56:54', '2018-11-10 20:56:54');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('融资租赁', 323, 'financing_lease', NULL, 6, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('互金平台', 323, 'mutual_gold_platform', NULL, 5, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('商业保理', 323, 'commercial_factoring', NULL, 4, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('资管', 323, 'asset_management', NULL, 3, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('券商', 323, 'broker', NULL, 2, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('信托', 323, 'entrust', NULL, 1, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('银行', 323, 'bank', NULL, 0, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` (`name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('再融资营销机构类型', NULL, 'refinancingMarketingInstitutionType', NULL, 54, '2018-11-10 20:56:53', '2018-11-10 20:56:53');


INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( null, 'menu', ' 资方融资管理', 'SmbRefinancingManagement', 3, NULL, '', '1', NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingManagement'), 'menu', ' 资方授信列表', 'SmbRefinancingCredit', 0, NULL, '', '1', NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingManagement'), 'menu', ' 资方放款列表', 'CapitalLoanMoney', 1, NULL, '', '1', NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingManagement'), 'menu', ' 资方还款列表', 'CapitalPayment', 2, NULL, '', '1', NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingManagement'), 'menu', ' 资方垫付列表', 'CapitalAdvancePayment', 3, NULL, '', '1', NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingCredit'), 'button', '查看', 'viewSmbRefinancing', 0, '资方融资管理', null, NULL, NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingCredit'), 'button', '授信详情', 'viewSmbRefinancingDetail', 1, '资方融资管理', null, NULL, NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingCredit'), 'button', '修改 ', 'updateSmbRefinancingDetail', 2, '资方融资管理', null, NULL, NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingCredit'), 'button', '续授信 ', 'creditSmbRefinancing', 3, '资方融资管理', null, NULL, NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingCredit'), 'button', '数据全员可见 ', 'viewAllSmb', 4, '资方融资管理', null, NULL, NULL, NULL, now(), now());
INSERT INTO `t_permission`( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where t.ename = 'SmbRefinancingManagement'), 'menu', ' 资方对账列表', 'CapitalBillRecord', 4, NULL, '', '1', NULL, NULL, now(), now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('苏商授信状态', NULL, 'smbCreditStatus', NULL, 54, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('待审批', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_01', NULL, 0, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('审批中', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_02', NULL, 1, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('审批通过', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_03', NULL, 2, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('审批拒绝', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_04', NULL, 3, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('已归档', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_06', NULL, 4, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('处理中', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_07', NULL, 5, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('运营岗审核', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_11', NULL, 6, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('已过期', (select t.id from t_dictionary t where t.code = 'smbCreditStatus'), 'smb_12', NULL, 7, '2018-11-10 20:56:53', '2018-11-10 20:56:53');

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('苏商额度状态', NULL, 'smbLimitStatus', NULL, 54, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('未激活', (select t.id from t_dictionary t where t.code = 'smbLimitStatus'), 'smb_limit_001', NULL, 0, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('生效',  (select t.id from t_dictionary t where t.code = 'smbLimitStatus'), 'smb_limit_002', NULL, 1, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('冻结',  (select t.id from t_dictionary t where t.code = 'smbLimitStatus'), 'smb_limit_004', NULL, 2, '2018-11-10 20:56:53', '2018-11-10 20:56:53');
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ('失效',  (select t.id from t_dictionary t where t.code = 'smbLimitStatus'), 'smb_limit_005', NULL, 3, '2018-11-10 20:56:53', '2018-11-10 20:56:53');

-- 资方还款信息
DROP TABLE IF EXISTS `financing_payment_info`;
CREATE TABLE `financing_payment_info` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                       `c_financing_basic_info_id` bigint(20) unsigned DEFAULT '0' COMMENT 'C端融资信息基础Id',
                                       `contract_no` varchar(20)  DEFAULT '' COMMENT '合同编号',
                                       `quota_disburse_batch` int(11) DEFAULT NULL COMMENT '额度支用批次',
                                       `customer_type` tinyint(1) DEFAULT NULL COMMENT '客户类型',
                                       `c_enterprise_id` bigint(20) DEFAULT NULL COMMENT '供应商企业信息Id',
                                       `open_id` varchar(100) DEFAULT '' COMMENT '用户唯一标识',
                                       `financing_management_id` bigint(20) DEFAULT NULL  COMMENT '资方ID',
                                       `financing_institution_name` varchar(200) DEFAULT NULL COMMENT '资方名称',

                                       `due_bill_no` varchar(100) DEFAULT NULL COMMENT '借据编号',
                                       `repay_no` varchar(100) DEFAULT NULL COMMENT '还款编号',
                                       `repay_status` varchar(100) DEFAULT NULL COMMENT '还款状态',
                                       `repay_date` datetime DEFAULT NULL COMMENT '还款日期',
                                       `repay_type` varchar(100) DEFAULT NULL COMMENT '还款方式',
                                       `hx_amt` decimal(17,4) DEFAULT NULL COMMENT '归还金额',
                                       `hx_capi` decimal(17,4) DEFAULT NULL COMMENT '归还本金',
                                       `hx_inte` decimal(17,4) DEFAULT NULL COMMENT '归还利息',
                                       `hx_finte` decimal(17,4) DEFAULT NULL COMMENT '归还罚息',
                                       `hx_fine` decimal(17,4) DEFAULT NULL COMMENT '归还罚金',
                                       `hx_cint` decimal(17,4) DEFAULT NULL COMMENT '归还复息',
                                       `remark` varchar(500) DEFAULT NULL COMMENT '返回描述信息',

                                       `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                       `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                       `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       PRIMARY KEY (`id`)
) COMMENT='资方还款信息';

-- 资方对账记录
DROP TABLE IF EXISTS `financing_reconciliation_info`;
CREATE TABLE `financing_reconciliation_info` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,

                                       `loan_account_number` varchar(100) DEFAULT NULL COMMENT '贷款账号',
                                       `due_bill_no` varchar(100) DEFAULT NULL COMMENT '借据编号',
                                       `core_transaction_date` datetime DEFAULT NULL COMMENT '核心交易日期',
                                       `due_date` datetime DEFAULT NULL COMMENT '应还日期',
                                       `repayment_account_number` varchar(100) DEFAULT NULL COMMENT '还款账号',
                                       `repayment_type` varchar(100) DEFAULT NULL COMMENT '核心还款类型',
                                       `repayment_principal` decimal(17,4) DEFAULT NULL COMMENT '核心还款本金',
                                       `repayment_interest` decimal(17,4) DEFAULT NULL COMMENT '核心还款利息',
                                       `repayment_fee` decimal(17,4) DEFAULT NULL COMMENT '核心还款费用',
                                       `repayment_default_interest` decimal(17,4) DEFAULT NULL COMMENT '核心还款罚息',
                                       `repayment_fine` decimal(17,4) DEFAULT NULL COMMENT '核心还款罚金',
                                       `repayment_transaction_number` varchar(100) DEFAULT NULL COMMENT '核心交易流水号',
                                       `transaction_date` datetime DEFAULT NULL COMMENT '交易日期',
                                       `transaction_flow` varchar(100) DEFAULT NULL COMMENT '交易流水',
                                       `repayment_compound_interest` decimal(17,4) DEFAULT NULL COMMENT '核心还款复息',

                                       `user_create` varchar(32) DEFAULT '' COMMENT '创建人',
                                       `user_modified` varchar(32) DEFAULT '' COMMENT '修改人',
                                       `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       PRIMARY KEY (`id`)
) COMMENT='资方对账记录';